package com.mortals.xhx.module.matters.model;

import com.mortals.xhx.module.matters.model.vo.MattersDetailVo;
/**
* 事项详情实体对象
*
* @author zxfei
* @date 2022-03-30
*/

public class MattersDetailEntity extends MattersDetailVo {
    private static final long serialVersionUID = 1L;

    /**
    * 事项编号
    */
    private String matterCode;
    /**
    * 在线申请
    */
    private String onlineurlZxsq;
    /**
    * 基本信息
    */
    private String basicinfoJbxx;
    /**
    * 申请材料
    */
    private String materialsSqcl;
    /**
    * 受理条件
    */
    private String conditionsSltj;
    /**
    * 办理流程
    */
    private String processBllc;
    /**
    * 收费标准
    */
    private String chargingSfbz;
    /**
    * 设定依据
    */
    private String basisSdyj;
    /**
    * 中介服务
    */
    private String intermediaryZjfw;
    /**
    * 常见问题
    */
    private String questionCjwt;



    public MattersDetailEntity(){}
    /**
    * 获取 事项编号
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编号
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 在线申请
    * @return String
    */
    public String getOnlineurlZxsq(){
        return onlineurlZxsq;
    }
    /**
    * 设置 在线申请
    * @param onlineurlZxsq
    */
    public void setOnlineurlZxsq(String onlineurlZxsq){
        this.onlineurlZxsq = onlineurlZxsq;
    }
    /**
    * 获取 基本信息
    * @return String
    */
    public String getBasicinfoJbxx(){
        return basicinfoJbxx;
    }
    /**
    * 设置 基本信息
    * @param basicinfoJbxx
    */
    public void setBasicinfoJbxx(String basicinfoJbxx){
        this.basicinfoJbxx = basicinfoJbxx;
    }
    /**
    * 获取 申请材料
    * @return String
    */
    public String getMaterialsSqcl(){
        return materialsSqcl;
    }
    /**
    * 设置 申请材料
    * @param materialsSqcl
    */
    public void setMaterialsSqcl(String materialsSqcl){
        this.materialsSqcl = materialsSqcl;
    }
    /**
    * 获取 受理条件
    * @return String
    */
    public String getConditionsSltj(){
        return conditionsSltj;
    }
    /**
    * 设置 受理条件
    * @param conditionsSltj
    */
    public void setConditionsSltj(String conditionsSltj){
        this.conditionsSltj = conditionsSltj;
    }
    /**
    * 获取 办理流程
    * @return String
    */
    public String getProcessBllc(){
        return processBllc;
    }
    /**
    * 设置 办理流程
    * @param processBllc
    */
    public void setProcessBllc(String processBllc){
        this.processBllc = processBllc;
    }
    /**
    * 获取 收费标准
    * @return String
    */
    public String getChargingSfbz(){
        return chargingSfbz;
    }
    /**
    * 设置 收费标准
    * @param chargingSfbz
    */
    public void setChargingSfbz(String chargingSfbz){
        this.chargingSfbz = chargingSfbz;
    }
    /**
    * 获取 设定依据
    * @return String
    */
    public String getBasisSdyj(){
        return basisSdyj;
    }
    /**
    * 设置 设定依据
    * @param basisSdyj
    */
    public void setBasisSdyj(String basisSdyj){
        this.basisSdyj = basisSdyj;
    }
    /**
    * 获取 中介服务
    * @return String
    */
    public String getIntermediaryZjfw(){
        return intermediaryZjfw;
    }
    /**
    * 设置 中介服务
    * @param intermediaryZjfw
    */
    public void setIntermediaryZjfw(String intermediaryZjfw){
        this.intermediaryZjfw = intermediaryZjfw;
    }
    /**
    * 获取 常见问题
    * @return String
    */
    public String getQuestionCjwt(){
        return questionCjwt;
    }
    /**
    * 设置 常见问题
    * @param questionCjwt
    */
    public void setQuestionCjwt(String questionCjwt){
        this.questionCjwt = questionCjwt;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MattersDetailEntity) {
            MattersDetailEntity tmp = (MattersDetailEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",onlineurlZxsq:").append(getOnlineurlZxsq());
        sb.append(",basicinfoJbxx:").append(getBasicinfoJbxx());
        sb.append(",materialsSqcl:").append(getMaterialsSqcl());
        sb.append(",conditionsSltj:").append(getConditionsSltj());
        sb.append(",processBllc:").append(getProcessBllc());
        sb.append(",chargingSfbz:").append(getChargingSfbz());
        sb.append(",basisSdyj:").append(getBasisSdyj());
        sb.append(",intermediaryZjfw:").append(getIntermediaryZjfw());
        sb.append(",questionCjwt:").append(getQuestionCjwt());
        return sb.toString();
    }

    public void initAttrValue(){

            this.matterCode = null;

            this.onlineurlZxsq = null;

            this.basicinfoJbxx = null;

            this.materialsSqcl = null;

            this.conditionsSltj = null;

            this.processBllc = null;

            this.chargingSfbz = null;

            this.basisSdyj = null;

            this.intermediaryZjfw = null;

            this.questionCjwt = null;
    }
}